# Search categories Returns an array of categories. Endpoint: GET /categories Version: 3.5.0 ## Header parameters: - `Accept-Language` (string) The value of this parameter might affect the language of the content in the response, provided a translation in the requested language is available. - `X-Musement-Application` (string) A partner's application value, used for analyzing API usage and to identify areas of improvement. - `X-Musement-Market` (string) Musement markets contain a modified catalog of activities and prices. Partners are expected to use their assigned market code to view their customized catalog. An invalid X-Musement-Market value will return a 400 status code response. - `X-Musement-Version` (string) The API version to use for the request. When absent, the latest version is used by default, however the latest version may not be stable. Partners are encouraged to use the latest stable version: 3.4.0. Example: "3.4.0" ## Query parameters: - `filtering_aware` (boolean) Filter results to categories which can or cannot be used as filters for special landing pages. Enum: true, false - `level` (integer) Filter results to categories with the same level property value. A value of zero returns all categories. - `limit` (integer) Limit the maximum number of results to include in the response. - `offset` (integer) Exclude the first N results from the response, where N is the specified integer value. - `parent_id` (integer) Filter results to categories whose direct parent category matches the requested id. ## Response 200 fields (application/json): - `id` (integer, required) The category's numerical ID. Example: 185 - `name` (string, required) The category's name, translated based on the Accept-Language header value. Example: "Activities" - `level` (string, required) The category's level in the category tree. Example: "1" - `code` (string, required) A unique string code for the category. Example: "new-activities" - `event_image_url` (string) - `cover_image_url` (string) - `url` (string, required) An automatically generated Musement URL for the category based on the X-Musement-Market header, code property and city property (when present). The URL is only valid for select X-Musement-Market values and categories. Example: "https://.sbox.musement.com/us/all/activities-c/" - `city` (object) - `city.activities_count` (integer) The number of available activities for the city. - `city.id` (integer) The city's numeric ID. - `city.code` (string) A string identifier for the city, based on the English version of the city name. This property is not affected by the Accept-Language header. - `city.content` (string) A plain text description of the city, translated according to the Accept-Language header value. - `city.content_html` (string) A description of the city with HTML tags, translated according to the Accept-Language header value. - `city.country` (object) - `city.country.country_prefix` (string) The country's main telephone country code. Example: "+39" - `city.country.currency_code` (string) The main currency for the country as a Musement currency code. For a complete list of currencies, refer to the /currencies endpoint. Example: "EUR" - `city.country.iso_code` (string, required) The two-character ISO code for the country. Example: "IT" - `city.country.iso3char` (string, required) The three-character ISO code for the country. Example: "ITA" - `city.country.name` (string, required) The country's name, translated based on the Accept-Language header value. Example: "Italy" - `city.country.id` (integer, required) The country's numeric ID. This property will be removed in the future. Example: 82 - `city.cover_image_url` (string) A URL for the city's cover image. - `city.event_count` (integer) The number of available activities for the city. - `city.headline` (string) An SEO-friendly version of the city name for a page headline, translated based on the Accept-Language header value. - `city.latitude` (number) - `city.longitude` (number) - `city.list_count` (integer) The number of available Musement list pages for the city. - `city.meta_description` (string) An SEO-friendly description of the city, translated based on the Accept-Language header value. - `city.meta_title` (string) An SEO-friendly version of the city name, translated based on the Accept-Language header value. - `city.name` (string) The name of city, translated according to the Accept-Language header value. - `city.slug` (string) The city slug, used for creating the city URL. Changes based on the value of the Accept-Language value. - `city.time_zone` (string) The city's time zone. - `city.top` (boolean) When true, the city is considered one of Musement's most popular cities. - `city.url` (string) An automatically generated Musement URL for the city based on the X-Musement-Market header and slug property. The URL is only valid for select X-Musement-Market values and cities. - `city.uuid` (string) The city's UUID. - `city.venue_count` (integer) The number of available venues in the city. - `city.weight` (integer) A property used for ranking multiple cities by popularity. Top selling cities will have a higher value. - `city.more` (string) Additional information about the city in plain text, ideal for a "Read more" section, translated based on the Accept-Language header value. - `city.more_html` (string) Additional information about the city with HTML tags, ideal for a "Read more" section, translated based on the Accept-Language header value. - `meta_description` (string) An SEO-friendly description of the category, translated based on the Accept-Language header value. - `meta_title` (string) An SEO-friendly version of the category name to use for search results, translated based on the Accept-Language header value. - `headline` (string) An SEO-friendly version of the category name for a page headline, translated based on the Accept-Language header value. - `parent_id` (integer) The ID of the category's parent, if any. ## Response default fields (application/json): - `code` (string, required) The internal Musement code for the error. Example: "0" - `message` (string, required) A message with a brief explanation of the error. Example: "There was an error"